libstdc++: chrono File Reference

libstdc++

chrono File Reference
Utilities » Time

Go to the source code of this file.

## Classes
class | std::chrono::tzdb_list::const_iterator
class | std::chrono::gps_clock
class | std::chrono::hh_mm_ss< _Duration >
class | std::chrono::tai_clock
class | std::chrono::tzdb_list
class | std::chrono::utc_clock

## Namespaces
namespace | std
namespace | std::chrono
namespace | std::literals
namespace | std::literals::chrono_literals

## Typedefs
using | std::chrono::gps_seconds
template<typename _Duration>
using | std::chrono::gps_time
using | std::chrono::local_days
using | std::chrono::local_seconds
template<typename _Duration>
using | std::chrono::local_time
using | std::chrono::tai_seconds
template<typename _Duration>
using | std::chrono::tai_time
using | std::chrono::utc_seconds
template<typename _Duration>
using | std::chrono::utc_time
using | std::chrono::zoned_seconds

## Enumerations
enum class | choose { earliest , latest }

## Functions
leap_second_info | std::chrono::__detail::__get_leap_second_info (sys_seconds __ss, bool __is_utc)
template<typename _DestClock, typename _SourceClock, typename _Duration> requires __detail::__clock_convs<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_sys<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_utc<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_sys_utc<_DestClock, _SourceClock, _Duration> || __detail::__clock_convs_utc_sys<_DestClock, _SourceClock, _Duration>
auto | std::chrono::clock_cast (const time_point< _SourceClock, _Duration > &__t)
const time_zone * | std::chrono::current_zone ()
template<typename _Duration>
leap_second_info | std::chrono::get_leap_second_info (const utc_time< _Duration > &__ut)
const tzdb & | std::chrono::get_tzdb ()
tzdb_list & | std::chrono::get_tzdb_list ()
constexpr bool | std::chrono::is_am (const hours &__h) noexcept
constexpr bool | std::chrono::is_pm (const hours &__h) noexcept
const time_zone * | std::chrono::locate_zone (string_view __tz_name)
constexpr hours | std::chrono::make12 (const hours &__h) noexcept
constexpr hours | std::chrono::make24 (const hours &__h, bool __is_pm) noexcept
constexpr chrono::day | std::literals::chrono_literals::operator""d (unsigned long long __d) noexcept
constexpr chrono::year | std::literals::chrono_literals::operator""y (unsigned long long __y) noexcept
template<typename _Dur1, typename _TZPtr1, typename _Dur2, typename _TZPtr2>
bool | std::chrono::operator== (const zoned_time< _Dur1, _TZPtr1 > &__x, const zoned_time< _Dur2, _TZPtr2 > &__y)
const tzdb & | std::chrono::reload_tzdb ()
string | std::chrono::remote_version ()
| std::chrono::zoned_time () -> zoned_time< seconds >
template<typename _TimeZonePtrOrName>
| std::chrono::zoned_time (_TimeZonePtrOrName &&) -> zoned_time< seconds, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _TimeZonePtrOrName, typename _Duration>
| std::chrono::zoned_time (_TimeZonePtrOrName &&, local_time< _Duration >, choose=choose::earliest) -> zoned_time< common_type_t< _Duration, seconds >, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _TimeZonePtrOrName, typename _Duration>
| std::chrono::zoned_time (_TimeZonePtrOrName &&, sys_time< _Duration >) -> zoned_time< common_type_t< _Duration, seconds >, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _Duration, typename _TimeZonePtrOrName, typename _TimeZonePtr2>
| std::chrono::zoned_time (_TimeZonePtrOrName &&, zoned_time< _Duration, _TimeZonePtr2 >, choose=choose::earliest) -> zoned_time< common_type_t< _Duration, seconds >, __time_zone_representation< _TimeZonePtrOrName > >
template<typename _Duration>
| std::chrono::zoned_time (sys_time< _Duration >) -> zoned_time< common_type_t< _Duration, seconds > >

## Variables
constexpr month | std::chrono::April
constexpr month | std::chrono::August
constexpr month | std::chrono::December
constexpr month | std::chrono::February
constexpr weekday | std::chrono::Friday
template<>
constexpr bool | std::chrono::is_clock_v< gps_clock >
template<>
constexpr bool | std::chrono::is_clock_v< tai_clock >
template<>
constexpr bool | std::chrono::is_clock_v< utc_clock >
constexpr month | std::chrono::January
constexpr month | std::chrono::July
constexpr month | std::chrono::June
constexpr last_spec | std::chrono::last
constexpr month | std::chrono::March
constexpr month | std::chrono::May
constexpr weekday | std::chrono::Monday
constexpr month | std::chrono::November
constexpr month | std::chrono::October
constexpr weekday | std::chrono::Saturday
constexpr month | std::chrono::September
constexpr weekday | std::chrono::Sunday
constexpr weekday | std::chrono::Thursday
constexpr weekday | std::chrono::Tuesday
constexpr weekday | std::chrono::Wednesday

## Detailed Description

This is a Standard C++ Library header.

Definition in file chrono.

## Function Documentation

## ◆ __get_leap_second_info()

leap_second_info std::chrono::__detail::__get_leap_second_info | ( | sys_seconds | __ss,
|  | bool | __is_utc )
| inline

Definition at line 3221 of file chrono.